# Visualization
TKService
SelectBasics

# SelectBasics_BasicTool Class Reference

`#include <SelectBasics_BasicTool.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Standard_Boolean | MatchSegments (const gp_Pnt2d &P1, const gp_Pnt2d &P2, const gp_Pnt2d &P3, const gp_Pnt2d &P4)
| returns True if The Segment {P1P2} is intersected by the segment {P3P4}
static Standard_EXPORT Standard_Boolean | AutoInter (const TColgp_Array1OfPnt2d &aPolyg2d)
static Standard_EXPORT Standard_Boolean | MatchPolyg2d (const TColgp_Array1OfPnt2d &tabpoint, const Standard_Real X, const Standard_Real Y, const Standard_Real aTol, Standard_Real &DMin, Standard_Integer &Rank)
| package method used to find if a point is close enough to a polygon of 2D points to be Used by Primitives like curves or faces... Rank gives the index of the touched segment

## Member Function Documentation

static Standard_EXPORT Standard_Boolean SelectBasics_BasicTool::AutoInter | ( | const TColgp_Array1OfPnt2d & | aPolyg2d | ) | `[static]`

static Standard_EXPORT Standard_Boolean SelectBasics_BasicTool::MatchPolyg2d | ( | const TColgp_Array1OfPnt2d & | tabpoint,
|  | const Standard_Real | X,
|  | const Standard_Real | Y,
|  | const Standard_Real | aTol,
|  | Standard_Real & | DMin,
|  | Standard_Integer & | Rank
| ) | `[static]`

static Standard_EXPORT Standard_Boolean SelectBasics_BasicTool::MatchSegments | ( | const gp_Pnt2d & | P1,
|  | const gp_Pnt2d & | P2,
|  | const gp_Pnt2d & | P3,
|  | const gp_Pnt2d & | P4
| ) | `[static]`

void SelectBasics_BasicTool::operator delete | ( | void * | anAddress | ) | `[inline]`

void* SelectBasics_BasicTool::operator new | ( | size_t | size | ) | `[inline]`

void* SelectBasics_BasicTool::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- SelectBasics_BasicTool.hxx